> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rastro.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Set Activity Pending Review Public

> Move an existing activity to pending_review and return review URL.



## OpenAPI

````yaml /api-reference/openapi.json post /public/activities/{activity_id}/pending-review
openapi: 3.1.0
info:
  title: Rastro Public API
  description: >-
    Public API for enrichment, catalog management, workflows, activities,
    snapshots, taxonomy, and MCP integrations.
  version: 0.1.0
servers:
  - url: https://catalogapi.rastro.ai/api
security:
  - bearerAuth: []
paths:
  /public/activities/{activity_id}/pending-review:
    post:
      tags:
        - Activities
      summary: Set Activity Pending Review Public
      description: Move an existing activity to pending_review and return review URL.
      operationId: >-
        set_activity_pending_review_public_api_public_activities__activity_id__pending_review_post
      parameters:
        - name: activity_id
          in: path
          required: true
          schema:
            type: string
            title: Activity Id
        - name: X-Organization-Id
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Organization-Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SetPendingReviewRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateTransformActivityResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - bearerAuth: []
components:
  schemas:
    SetPendingReviewRequest:
      properties:
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
          description: Optional review message
        output:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Output
          description: Optional output summary metadata
      type: object
      title: SetPendingReviewRequest
      description: Request to move an activity to pending_review.
    CreateTransformActivityResponse:
      properties:
        activity_id:
          type: string
          title: Activity Id
        status:
          type: string
          title: Status
        staged_count:
          type: integer
          title: Staged Count
        review_url:
          type: string
          title: Review Url
      type: object
      required:
        - activity_id
        - status
        - staged_count
        - review_url
      title: CreateTransformActivityResponse
      description: Response after creating a custom transform activity
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Rastro API key or user token

````